Skip to main content
POST
/
external
/
events
/
{id}
/
unlock
Unlock event access
curl --request POST \
  --url https://platform.lensmor.com/external/events/{id}/unlock \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "alreadyUnlocked": true,
  "creditsUsed": 123,
  "balanceAfter": {
    "subscriptionBalance": 123,
    "permanentBalance": 123,
    "totalBalance": 123,
    "unlimited": true
  },
  "event": {
    "id": "<string>",
    "eventId": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-call-source
enum<string>
Available options:
api,
agent

Path Parameters

id
string
required
Required string length: 1 - 100

Response

Event unlock result

success
boolean
required
alreadyUnlocked
boolean
required
creditsUsed
number
required
balanceAfter
object
required
event
object
required